%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}

Name:		php-channel-phpdb
Version:	1.0.0
Release:	5%{?dist}
Summary:	Adds phpdb channel to PEAR

Group:		Development/Languages
License:	LGPLv2
URL:		http://pear.phpdb.org/
Source0:	http://pear.phpdb.org/channel.xml
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	php-pear >= 1:1.4.9-1.2
Requires:	php-cli 
Requires:	php-pear(PEAR)

Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:	php-channel(pear.phpdb.org)

%description
This package adds the phpdb channel which allows
PEAR packages from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{pear_xmldir}/pear.phpdb.org.xml


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq  1 ] ; then
	%{__pear} channel-add %{pear_xmldir}/pear.phpdb.org.xml > /dev/null || :
else
	%{__pear} channel-update %{pear_xmldir}/pear.phpdb.org.xml > /dev/null ||:
fi


%postun
if [ $1 -eq 0 ] ; then
	%{__pear} channel-delete pear.phpdb.org > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 25 2007 Alexander Kahl <akahl@iconmobile.com> - 1.0.0-4
- removed version number in virtual provides
- replaced static commands with macros wherever applicable

* Mon Sep  3 2007 Alexander Kahl <akahl@iconmobile.com> - 1.0.0-3
- Added valid license.

* Tue Aug 21 2007 Alexander Kahl <akahl@iconmobile.com> - 1.0.0-2
- Fedora channel naming adaption.

* Thu Jun 28 2007 Alexander Kahl <akahl@iconmobile.com> - 1.0.0-1
- Fedora 7 version bump

* Fri May 25 2007 Alexander Kahl <akahl@iconmobile.com> - 1.0.0-0
- Initial RPM release.
